# Assuming that your Python has a working re (? >= 1.5.2 ?).
# If your Python is prehistoric, then define %pyver by hand.
# Accept e.g. %pyver = 1.5.2, but chop a trailing a1, b1, a2, b2, ..
%{expand: %%define pyver %(python -c 'import re, sys; print re.search("^\d(\.\d)+", sys.version).group(0)')}
%{expand: %%define pydir %(python -c 'import sys; print sys.version[:3]')}

%{expand: %%define sipver %(sip -V | cut -b1-3)}


%define name	PyQwt
%define version	0.29.94
%define release	1mgv

Summary:	Python interface for the Qwt library
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	LGPL
Source:		%{name}-%{version}.tar.bz2
URL:		http://gerard.vermeulen.free.fr
Group:		Development/Python
BuildRequires:	python-devel = %pyver PyQt = %sipver sip = %sipver
Requires:	python = %pyver, PyQt = %sipver
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Python interface for the Qwt (Qt Widgets for Technical applications) library.

%prep
%setup

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 755)
%doc AUTHORS COPYING COPYING.LIB README
%dir %{_libdir}/python*/site-packages/PyQwt
%dir %{_libdir}/python*/site-packages/PyQwt/doc
%dir %{_libdir}/python*/site-packages/PyQwt/examples
%dir %{_libdir}/python*/site-packages/PyQwt/pyuic
%{_libdir}/python*/site-packages/PyQwt.pth
%{_libdir}/python*/site-packages/PyQwt/qwt.py
%{_libdir}/python*/site-packages/PyQwt/qwt.pyc
%{_libdir}/python*/site-packages/PyQwt/libqwtcmodule.so
%{_libdir}/python*/site-packages/PyQwt/doc/*
%{_libdir}/python*/site-packages/PyQwt/examples/*
%{_libdir}/python*/site-packages/PyQwt/pyuic/*



%changelog
* Mon Oct  8 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.94-1mgv
- 0.29.94 - bug fix release

* Sun Oct  7 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.93-1mgv
- 0.29.93 - bug fix release

* Thu Sep 27 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.92-1mgv
- 0.29.92 - bug fix release

* Sun Sep 23 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.91-5mgv
- PyQwt is now a Python package
- maintain PyQwt.sgml by hand

* Sun Sep  9 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.91-4mgv
- switch from Gnu's automake/autoconf/libtool to Python's distutils
- steal *.cpp and *.h files of Qwt cvs(20010907) for PyQwt source

* Fri Sep  7 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.91-3mgv
- build for Python-2.1.1, NumPy-20.1.0, PyQt-2.5, sip-2.5, Qt-2.2.1, Qwt-0.3.0

* Thu Aug  9 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.91-2mgv
- add sip generated html documentation

* Wed Aug  1 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.91-1mgv
- fix for NumPy-20.1.0

* Wed Jun 27 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.90-7mgv
- patch sip/qwt_dimap.sip by ./configure for backwards compatibility

* Sun Jun 10 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.90-6mgv
- expand %%sipver = %sipver automagically
- patched sip/qwt_dimap.sip
- make sipqwtVersion.h first, because build chokes on my SMP machine
- rebuild for PyQt-2.5 and sip-2.5

* Mon May 28 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.90-5mgv
- remove *.la, because C++ static constructors and libtool-1.4...

* Sun May 27 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.90-5mgv
- libtool-1.4, examples broken?

* Tue May  8 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.05-4mgv
- tweak Requires and Buildrequires

* Wed Mar 14 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.05-3mgv
- tweak %%pyver = %pyver for versions like 1.5.2

* Wed Mar 14 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.29.04-2mgv
- expand %%pyver = %pyver automagically

* Thu Mar 01 2001 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 0.10-1mgv
- first try

# EOF
