#!/bin/bash

set -x	# echo's all steps to the terminal

# log diffs against Qwt-CVS
gendiff include .qwt > qwt.include.patch
gendiff sources .qwt > qwt.sources.patch

# code generation
for n in sip/*.sip.in; do
    sed -e "s|//sip-$(sip -V):||g" $n > ${n%.in}
done
sip -I sip -I /usr/share/sip/qt $(python timeline.py $(sip -V)) -c qwt \
    -m qwt/Makefile.am -m qwt/Makefile.win32-msvc sip/qwt.sip 
python post_sip.py $(sip -V) qwt qwt
echo $(python timeline.py $(sip -V)) >qwt/code

# bootstrap
rm -f config.*
libtoolize --copy --force
aclocal -I .
for name in AUTHORS ChangeLog NEWS README ; do
    if [ ! -f $name ]; then 
	touch $name
    fi
done
autoheader
automake --foreign --add-missing --copy --verbose
autoconf
