#!/usr/bin/env python

# The Python version of qwt-0.3/examples/bode/bode.cpp

# To get an impression of the expressive power of Numeric,
# compare the Python and C++ versions of recalc()

import glob, os, sys

# The next statements assure importation of qwt and qwtc from the
# local source tree. This is useful for debugging and testing.
globs = glob.glob('../qwt/.libs/libqwtcmodule.*')
if globs:                               # found PyQwt modules made by libtool
    sys.path.insert(0, '../qwt')
    sys.path.insert(0, '../qwt/.libs')
globs = glob.glob('../build/lib.*/libqwtcmodule.*')
if globs:                               # found PyQwt modules made by distutils
    sys.path.insert(0, os.path.split(globs[0])[0])

from qt import *
from qwt import *
from Numeric import *

# checks that QwtCurve.setData(x, y) leaves the reference count invariant
curve = QwtCurve()
x = arange(0.0, 10.0, 0.1)
y = arange(0.0, 10.0, 0.1)
print sys.getrefcount(x)
curve.setData(x, y)
print sys.getrefcount(x)

# To trace refcounts in sip generated code, use something like:
#       #include <iostream.h>
#       PyObject *refCounted;
#       cout >> refCounted->ob_refcnt >> endl;
#
# Do not use printf(), because sip chokes on %.
