#!/usr/bin/env python

import sys

from glob import glob
from os.path import exists, join
from os import remove
from distutils.dep_util import newer

def pair(filename):
    return filename, filename.replace('.in', '')

def done(pair):
    source, target = pair
    return newer(source, target)

def pre_sip(sip_version, directory):
    todo = map(pair, glob(join(directory, '*.sip.in')))
    sip_tag = '//sip-%s:' % sip_version

    # remove targets that have been generated for another sip version
    for source, target in todo:
        if exists(target):
            file = open(target)
            text = file.read()
            file.close()
            if text.find(sip_tag) != -1:
                remove(target)

    # filter out pairs with the target newer than the source 
    todo = filter(done, todo)

    for source, target in todo:
        print "...generating '%s' from '%s'" % (target, source)
        file = open(source, 'r')
        text = file.read()
        file.close()
        text = text.replace(sip_tag, '')
        file = open(target, 'w')
        file.write(text)
        file.close()
    
if __name__ == '__main__':
    if len(sys.argv) != 3:
        print "Usage: presip.py sip_version directory"
        print "- 'sip_version' is obtained by 'sip -V'"
        print "- 'directory' contains *.sip.in files"
        sys.exit(1)

    pre_sip(sys.argv[1], sys.argv[2])
