/*-*- c++ -*-******************************************************************
 * Qwt Widget Library 
 * Copyright (C) 1997   Josef Wilgen
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *****************************************************************************/

#include "../include/qwt_plot.h"
#include "../include/qwt_plot_item.h"


QwtPlotItem::QwtPlotItem(QwtPlot *parent, bool nbl)
{
    d_parent = parent;
    d_enabled = nbl;
}


void QwtPlotItem::itemChanged()
{
    d_parent->autoRefresh();
}

void QwtPlotMappedItem::setXAxis(int axis)
{
    if (QwtPlot::axisValid(axis))
       d_xAxis = axis;
    itemChanged();    
}

void QwtPlotMappedItem::setYAxis(int axis)
{
    if (QwtPlot::axisValid(axis))
       d_yAxis = axis;
    itemChanged();   
}
