#!/usr/bin/env python

import sys

def timeline_options(sip_version):
    try:
        from qt import QT_VERSION, QT_VERSION_STR
    except ImportError:
        raise SystemExit, "fails to import qt, YOU MUST install PyQt first\n"
    if sip_version == '2.5':
        if QT_VERSION < 143:
            raise SystemExit, "Qt-%s not compatible with PyQt" % QT_VERSION_STR
        if QT_VERSION == 143:
            return '-t Qt_143'
        if QT_VERSION < 200:
            raise SystemExit, "Qt-%s not compatible with PyQt" % QT_VERSION_STR
        if QT_VERSION < 210:
            return '-t Qt_2_00'
        if QT_VERSION < 220:
            return '-t Qt_2_1_0'
        if QT_VERSION < 230:
            return '-t Qt_2_2_0'
        if QT_VERSION == 230:
            return '-t Qt_2_3_0'
        if QT_VERSION == 231:
            return '-t Qt_2_3_1'
        if QT_VERSION == 300:
            return '-t Qt_3_0_0'
        else: # FIXME: Qt-4.0.0
            raise SystemExit, "Qt-%s not compatible with PyQt" % QT_VERSION_STR
    else: # FIXME: sip-2.6
        return ''


if __name__=='__main__':
    if len(sys.argv) != 2:
        print ("usage: python timeline.py $(sip -V),\n"
               "where $(sip -V) returns sip's version number")
        sys.exit(1)
    else:
        print timeline_options(sys.argv[1])

        
